Bug 523090 - Win2008: PV Driver Installer Issues
Summary: Win2008: PV Driver Installer Issues
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xenpv-win
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: 5.5
Assignee: Paolo Bonzini
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 518599
Blocks: 516277 518405
TreeView+ depends on / blocked
 
Reported: 2009-09-14 01:43 UTC by Lachlan McIlroy
Modified: 2018-10-20 04:21 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-16 13:45:05 UTC


Attachments (Terms of Use)
patch set overhauling set-ide (49.36 KB, patch)
2009-09-16 12:43 UTC, Paolo Bonzini
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1583 normal SHIPPED_LIVE xenpv-win bug fix and enhancement update 2009-11-16 13:44:33 UTC

Description Lachlan McIlroy 2009-09-14 01:43:47 UTC
Creating this as a branch from IT326370 to isolate install-specific issues for the PV drivers on Windows 2008.

Problem Summary:
PV Driver installation does not properly disable IDE devices, and leads to boot volume duplication.  This duplication results in the corruption of the boot volume.

See IT326370 and BZ516277 for more details.

Latest request from RedHat development was:
"Please show output from the following command: devcon find | findstr 'PCIIDE'"

I will post that momentarily.
Latest request from RedHat development was to show output from "devcon find

Comment 1 Issue Tracker 2009-09-14 01:45:27 UTC
Event posted on 12-09-2009 03:58am EST by jabrown

All Issues: Problem Description
---------------------------------------------------
1. Time and date of problem:

N/A

2. System architecture(s):

All

3. Provide a clear and concise problem description as it is understood at
the time of escalation. Please be as specific as possible in your
description. Do not use the generic term "hang", as that can mean many
things.
   Observed behavior:

PV Driver installation does not properly disable IDE devices, and leads to
boot volume duplication.  This duplication results in the corruption of the
boot volume.


   Desired behavior:

No corruption

4. Specific action requested of SEG:

This was spawned from an IT alread in BZ and needs to be escalated to BZ
and assigned to Paolo Bonzini pbonzini@redhat.com



Issue escalated to Support Engineering Group by: jabrown.
Internal Status set to 'Waiting on SEG'

This event sent from IssueTracker by lmcilroy 
 issue 341501

Comment 2 Issue Tracker 2009-09-14 01:47:35 UTC
Event posted on 12-09-2009 03:41am EST by rmarchan@amazon.com

NOTE:  This is on Windows 2008 w/ SP2

The output from 'devcon find * | findstr "PCIIDE"' is the following:
----------
PCIIDE\IDECHANNEL\4&80D05ED&0&0                             : ATA
Channel 0
PCIIDE\IDECHANNEL\4&80D05ED&0&1                             : ATA
Channel 1

-----------

In this case, the boot drive is connected to ATA Channel 0.  Note the
output when I attempt to disable the ATA Channel 0 when the boot device is
attached to it:
---------------
D:\vista\x86>devcon disable @"PCIIDE\IDECHANNEL\4&80D05ED&0&0"
PCIIDE\IDECHANNEL\4&80D05ED&0&0                             : Disable
failed
--------------

If I attempt to disable "Channel 1", I am able to get this:
-------------
D:\vista\x86>devcon disable @"PCIIDE\IDECHANNEL\4&80D05ED&0&1"
PCIIDE\IDECHANNEL\4&80D05ED&0&1                             : Disabled
on reboot

The 1 device(s) are ready to be disabled. To disable the devices, restart
the
devices or reboot the system .
-------------

Also, Note the way we're working around this, for your information:
1. Install RH PV Drivers
2. Before reboot, Go into registry and set ATAPI service to not start on
boot
3. Reboot
4. Issue "devcon disable" against Channel 0 (this succeeds right away).
5. Edit registry, set ATAPI to start on boot
6. Reboot.

Then everything works as planned.

Ticket type changed from 'Problem' to ''

This event sent from IssueTracker by lmcilroy 
 issue 341501

Comment 4 Paolo Bonzini 2009-09-14 13:28:23 UTC
Thanks, I think it is fine.  I wasn't sure if the part after "4&" was changing between systems and I assumed it was not; however, it does.

I already wrote the Vista version of set-ide, this test was only to confirm that I was not on the wrong track.  I'll backport the patch to the InstallShield installer after more testing.

Can you please detail in IT326370 what are the aspects that are _not_ relevant to installation?

Comment 6 Paolo Bonzini 2009-09-16 12:43:35 UTC
Created attachment 361268 [details]
patch set overhauling set-ide

Comment 11 Paolo Bonzini 2009-10-09 15:11:15 UTC
Fixed in 1.0.90-1.

Comment 12 Paolo Bonzini 2009-10-12 08:28:26 UTC
RPMs available from http://people.redhat.com/pbonzini/xenpv-win-1.0.91-1

Comment 14 Paolo Bonzini 2009-10-17 08:33:11 UTC
The next drop will avoid devcon/set-ide completely to do this part of the installation (the set-ide changes for W2K8 were just a stopgap measure).  Thanks for the testcase!

Comment 17 koka xiong 2009-10-30 05:21:37 UTC
1.Install win20008 guest
2.Install xenpv driver and reboot the computer
3.Go to device manager
It will show RHEL Removed FV Device
Verified passed.

Comment 19 errata-xmlrpc 2009-11-16 13:45:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1583.html


Note You need to log in before you can comment on or make changes to this bug.